# $Revision: 1.31 $, $Date: 2004/12/09 11:56:51 $
#
# Conditional build:
%bcond_without  alsa	# without alsa sound support
%bcond_without  arts	# without arts sound support
#
Summary:	MP3 audio player with theme user interface and streaming support
Summary(pl):	Odtwarzacz plikw MP3 z obsug motyww i streamingu
Name:		zinf
Version:	2.2.5
Release:	7
License:	GPL
Group:		Applications/Sound
Source0:	http://dl.sourceforge.net/zinf/%{name}-%{version}.tar.gz
# Source0-md5:	727db1d0d2673f68639d343ca0ec9895
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-ac.patch
Patch1:		%{name}-boost.patch
Patch2:		%{name}-musicbrainz.patch
URL:		http://www.zinf.org/
BuildRequires:	ORBit-devel >= 0.5.0
%{?with_alsa:BuildRequires:	alsa-lib-devel >= 0.9.0}
%{?with_arts:BuildRequires:	artsc-devel}
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	boost-devel >= 1.31.0
BuildRequires:	boost-filesystem-devel >= 1.31.0
BuildRequires:	esound-devel >= 0.2.12
BuildRequires:	gdbm-devel
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	gettext-devel >= 0.13.1
BuildRequires:	id3lib-devel
BuildRequires:	libmusicbrainz-devel >= 2.0.1
BuildRequires:	libogg-devel >= 2:1.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libvorbis-devel >= 1:1.0
BuildRequires:	metakit-devel
%ifarch %{ix86}
BuildRequires:	nasm
%endif
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
BuildRequires:	xosd-devel
BuildRequires:	zlib-devel
Provides:	freeamp
Obsoletes:	freeamp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Zinf is an extensible, cross-platform audio player. It features an
optimized version of the GPLed Xing MPEG decoder which makes it one of
the fastest and best sounding players available. Zinf provides a
number of the most common features users have come to expect in a
clean, easy to use interface.

This project was formely known as FreeAmp.

%description -l pl
Zinf jest rozszerzalnym, wieloplatformowym odtwarzaczem audio. Jego
zalety to zoptymalizowana wersja dekodera Xing MPEG (GPL) dziki czemu
freeamp jest jednym z najszybszych i najlepszych odtwarzaczy. Zinf
daje funkcje, ktrych zwykle uytkownicy oczekuj od prostego w
uytkowaniu i jasnego interfejsu.

Ten program wczeniej by znany pod nazw FreeAmp.

%package lmc-vorbis
Summary:	Ogg/Vorbis sound Logical Media Converter plugin for ZINF
Summary(pl):	Wtyczka konwertera mediw ZINF obsugujca dwik Ogg/Vorbis
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description lmc-vorbis
Ogg/Vorbis sound Logical Media Converter plugin for ZINF. This package
contains also Ogg/Vorbis MetaData Format plugin.

%description lmc-vorbis
Wtyczka konwertera mediw (Logical Media Converter) ZINF obsugujca
dwik Ogg/Vorbis. Pakiet zawiera dodatkowo wtyczk formatu metadanych
(MetaData Format) ZINF obsugujc metadane z plikw Ogg/Vorbis.

%package mdf-mbcd
Summary:	MusicBrainz MetaData Format plugin for ZINF
Summary(pl):	Wtyczka formatu metadanych ZINF obsugujca metadane MusicBrainz
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description mdf-mbcd
MusicBrainz MetaData Format plugin for ZINF.

%description mdf-mbcd -l pl
Wtyczka formatu metadanych (MetaData Format) ZINF obsugujca
metadane MusicBrainz.

%package pmo-alsa
Summary:	ALSA sound Physical Media Output plugin for ZINF
Summary(pl):	Wtyczka wyjcia mediw ZINF obsugujca wyjcie dwiku ALSA
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description pmo-alsa
ALSA sound Physical Media Output plugin for ZINF.

%description pmo-alsa -l pl
Wtyczka wyjcia mediw (Physical Media Output) ZINF obsugujca
wyjcie dwiku ALSA.

%package pmo-arts
Summary:	aRts sound Physical Media Output plugin for ZINF
Summary(pl):	Wtyczka wyjcia mediw ZINF obsugujca wyjcie dwiku aRts
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description pmo-arts
aRts sound Physical Media Output plugin for ZINF.

%description pmo-arts -l pl
Wtyczka wyjcia mediw (Physical Media Output) ZINF obsugujca
wyjcie dwiku aRts.

%package pmo-esound
Summary:	EsounD sound Physical Media Output plugin for ZINF
Summary(pl):	Wtyczka wyjcia mediw ZINF obsugujca wyjcie dwiku EsounD
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description pmo-esound
ALSA sound Physical Media Output plugin for ZINF.

%description pmo-esound -l pl
Wtyczka wyjcia mediw (Physical Media Output) ZINF obsugujca
wyjcie dwiku EsounD.

%package ui-corba
Summary:	CORBA User Interface plugin for ZINF
Summary(pl):	Wtyczka interfejsu ZINF obsugujca interfejs CORBA
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description ui-corba
CORBA User Interface plugin for ZINF.

%description ui-corba -l pl
Wtyczka interfejsu uytkownika (User Interface) ZINF obsugujca
interfejs CORBA.

%package ui-gtk
Summary:	GTK+-based User Interface plugins for ZINF
Summary(pl):	Wtyczki interfejsu ZINF oparte na GTK+
Group:		X11/Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description ui-gtk
GTK+-based User Interface plugins for ZINF (albumart, download,
musicbrowser and zinf). It also contains Kjofol and Winamp Theme
Format plugins.

%description ui-gtk -l pl
Wtyczki interfejsu uytkownika (User Interface) ZINF oparte na GTK+
(albumart, download, musicbrowser oraz zinf). Zawiera take wtyczki
formatu motyww (Theme Format) konwertujce motywy Kjofola i Winampa.

%package ui-xosd
Summary:	XOSD User Interface plugin for ZINF
Summary(pl):	Wtyczka interfejsu ZINF oparta na XOSD
Group:		X11/Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description ui-xosd
XOSD User Interface plugin for ZINF.

%description ui-xosd -l pl
Wtyczka interfejsu uytkownika (User Interface) ZINF oparta na XOSD.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%{__perl} -pi -e 's/^ca_ES/ca/' po/LINGUAS
mv -f po/{ca_ES,ca}.po
rm -f po/stamp-po

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
CPPFLAGS="-I/usr/include/ncurses"
%configure \
	%{!?with_alsa:--disable-alsa} \
	%{!?with_arts:--disable-arts} \
	--enable-corba \
	--enable-esd \
%ifarch %{ix86}
	--enable-rio \
%endif
%ifnarch %{ix86}
	--disable-x86opts \
%endif
	--enable-xosd

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README doc/{README.lcdui,README.linux,ThemeHowTo.txt,WISHLIST,user.txt}
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%attr(755,root,root) %{_libdir}/%{name}/plugins/cd.lmc
%attr(755,root,root) %{_libdir}/%{name}/plugins/wav.lmc
%attr(755,root,root) %{_libdir}/%{name}/plugins/xingmp3.lmc
%attr(755,root,root) %{_libdir}/%{name}/plugins/id3lib.mdf
%attr(755,root,root) %{_libdir}/%{name}/plugins/misc.mdf
%attr(755,root,root) %{_libdir}/%{name}/plugins/*.plf
%attr(755,root,root) %{_libdir}/%{name}/plugins/*.pmi
%attr(755,root,root) %{_libdir}/%{name}/plugins/cd.pmo
%attr(755,root,root) %{_libdir}/%{name}/plugins/soundcard.pmo
%attr(755,root,root) %{_libdir}/%{name}/plugins/wavout.pmo
%ifarch %{ix86}
%attr(755,root,root) %{_libdir}/%{name}/plugins/*.ppp
%endif
%attr(755,root,root) %{_libdir}/%{name}/plugins/cmdline.ui
%attr(755,root,root) %{_libdir}/%{name}/plugins/irman.ui
%attr(755,root,root) %{_libdir}/%{name}/plugins/lcd.ui
%attr(755,root,root) %{_libdir}/%{name}/plugins/mpg123.ui
%attr(755,root,root) %{_libdir}/%{name}/plugins/ncurses.ui
%{_pixmapsdir}/*.png
%{_desktopdir}/*.desktop

%files lmc-vorbis
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins/vorbis.lmc
%attr(755,root,root) %{_libdir}/%{name}/plugins/vorbis.mdf

%files mdf-mbcd
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins/mbcd.mdf

%if %{with alsa}
%files pmo-alsa
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins/alsa.pmo
%endif

%if %{with arts}
%files pmo-arts
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins/arts.pmo
%endif

%files pmo-esound
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins/esound.pmo

%files ui-corba
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins/corba.ui

%files ui-gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins/kjofol.ftf
%attr(755,root,root) %{_libdir}/%{name}/plugins/winamp.ftf
%attr(755,root,root) %{_libdir}/%{name}/plugins/albumart.ui
%attr(755,root,root) %{_libdir}/%{name}/plugins/download.ui
%attr(755,root,root) %{_libdir}/%{name}/plugins/musicbrowser.ui
%attr(755,root,root) %{_libdir}/%{name}/plugins/zinf.ui
# only (graphical) themes here
%{_datadir}/%{name}

%files ui-xosd
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins/xosd.ui

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: zinf.spec,v $
Revision 1.31  2004/12/09 11:56:51  ankry
- typo

Revision 1.30  2004/12/09 11:39:08  paladine
- rel 7 for fixed desktop file

Revision 1.29  2004/12/02 01:41:06  zbyniu
- BR: pkgconfig

Revision 1.28  2004/12/01 07:49:44  havner
- rel 6

Revision 1.27  2004/11/27 18:52:10  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.26  2004/05/30 21:14:45  qboosh
- fix locale name (ca_ES->ca), release 5

Revision 1.25  2004/05/30 20:59:38  qboosh
- the only *.ppp plugin is x86-only pmp300

Revision 1.24  2004/05/30 19:01:11  qboosh
- disable rio on !x86 (contains ugly, x86-specific low-level I/O code); release 4

Revision 1.23  2004/05/08 23:42:05  qboosh
- updated boost patch, release 3

Revision 1.22  2004/04/05 11:26:48  grzegol
- rel. 2 to rebuild with libmusicbrainz-2.1.1

Revision 1.21  2004/04/05 00:14:14  grzegol
- added boost patch (fixes build with boost-1.31)
- added musicbrainz patch (allow to build with libmusicbrainz-2.1.x)

Revision 1.20  2004/02/08 20:24:16  qboosh
- added more linking fixes to ac patch, moved vorbis.mdf to -lmc-vorbis

Revision 1.19  2004/02/08 14:18:35  qboosh
- updated to 2.2.5, updated ac patch, switched to desktopdir
- ncurses_include patch (insufficient) replaced by CPPFLAGS
- subpackages for plugins with additional deps

Revision 1.18  2004/01/30 19:39:46  eothane
- few cleanups

Revision 1.17  2004/01/30 19:28:59  eothane
- bconds

Revision 1.16  2003/12/09 15:29:26  qboosh
- s/arts-devel/artsc-devel/

Revision 1.15  2003/08/17 12:51:39  qboosh
- 2.2.4
- updated ac patch, removed obsolete DESTDIR patch
- added zinf.png icon from 2.2.3 (disappeared from sources)

Revision 1.14  2003/07/21 20:00:40  qboosh
- up to 2.2.3
- updated ac patch, removed obsolete make patch
- added -Wno-char-subscripts to allow build with new gcc (-Werror is used)
- added _without_arts bcond

Revision 1.13  2003/05/26 16:25:54  malekith
- massive attack: adding Source-md5

Revision 1.12  2003/05/25 06:28:45  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/04/09 10:48:11  qboosh
- use http for sources from sourceforge

Revision 1.10  2003/02/23 23:52:41  ankry
- s/temat/motyw/g

Revision 1.9  2003/01/18 22:59:38  juandon
- removed two lines with define

Revision 1.8  2002/12/28 01:38:11  qboosh
- use new Group: X11/Applications/Sound

Revision 1.7  2002/12/16 20:22:15  misiek
- updated to 2.2.1

Revision 1.6  2002/12/08 11:53:21  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.5  2002/10/09 13:14:52  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.4  2002/07/25 08:22:40  kloczek
- renamed patches names.

Revision 1.3  2002/07/24 23:06:01  kloczek
- added Provides: freeamp.

Revision 1.2  2002/07/23 22:18:21  blues
- release 2
- added obsoletes freeamp (this is succesor of freeamp)
STBR: rebuild with new libvorbis

Revision 1.1  2002/07/03 12:52:43  jajcus
- new spec, based on freeamp.spec (this is a continuation of the FreeAmp project)
